<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
  Szabo, Bence Janos
-->
<schema  xmlns="http://www.w3.org/2001/XMLSchema"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
xmlns:ns="www.example.org"
targetNamespace="www.example.org/ranges/float">

<annotation><documentation xml:lang="EN">minInclusive, maxInclusive, minExclusive, maxExclusive</documentation></annotation>

<simpleType name="e9b">
	<restriction base="float">
		<minInclusive value="-5"/>
	</restriction>
</simpleType>

<simpleType name="e9c">
	<restriction base="float">
		<minInclusive value="-INF"/>
	</restriction>
</simpleType>

<simpleType name="e9d">
	<restriction base="float">
		<minInclusive value="NaN"/>
	</restriction>
</simpleType>

<simpleType name="e11b">
	<restriction base="float">
		<minExclusive value="NaN"/>
	</restriction>
</simpleType>

<simpleType name="e12b">
	<restriction base="float">
		<maxExclusive value="NaN"/>
	</restriction>
</simpleType>

<annotation><documentation xml:lang="EN">mixed</documentation></annotation>

<simpleType name="e19b">
	<restriction base="float">
		<minInclusive value="-5"/>
		<maxExclusive value="-1"/>
	</restriction>
</simpleType>

<simpleType name="e19c">
	<restriction base="float">
		<minInclusive value="-INF"/>
		<maxInclusive value="-1"/>
	</restriction>
</simpleType>

<simpleType name="e19d">
	<restriction base="float">
		<maxInclusive value="NaN"/>
	</restriction>
</simpleType>

<simpleType name="enum">
	<restriction base="float">
		<enumeration value="INF"/>
		<enumeration value="-INF"/>
		<enumeration value="NaN"/>
	</restriction>
</simpleType>


</schema>
